<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Journal;

class JournalController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new JournalUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new JournalRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->belegId = \GetOperations::getVarValue('belid');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new JournalPresenter($pUseCaseResponse);
  }
}